WordPress 5.3.1 Fix: JASON Error

1 replies
  • WEB DESIGN
  • |
WordPress 5.3.1 was recently released and a particular error is occurring.

Gutenberg editor when you attempt to create or edit a page or post or add an image and finally "update" you may see one of these errors that blocks the update:

The response is not a valid JSON response. (Most common).
Not found. (Server side)
404 (Not Found) (Server side)

The fix is simple.

In WordPress Admin Menu go to Settings > Permalinks and click the button "Save changes" without making any changes. Done!

This can also happen if you previously added a free SSL certificate before WordPress 3.5.1.
#error #fix #jason #wordpress
Avatar of Unregistered
  • Profile picture of the author Tommy000
    It seems Wordpress 5.3.1 is causing a lot more errors than just that.
    I am getting this error:
    PHP Fatal error: Uncaught Error: Class 'WP_Block_Styles_Registry' not found in /public_html/wp-includes/script-loader.php:2902
    Stack trace:
    #0 /public_html/wp-includes/class-wp-hook.php(286):
    enqueue_block_styles_assets('')
    #1 /public_html/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array)
    #2 /public_html/wp-includes/plugin.php(465): WP_Hook->do_action(Array)
    #3 /public_html/wp-includes/script-loader.php(2856): do_action('enqueue_block_a...')
    #4 /public_html/wp-includes/class-wp-hook.php(286): wp_common_block_scripts_and_styles('')
    #5 /public_html/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array)
    #6 /public_html/wp-includes/plugin.php(465): WP_Hook->do_action(Array)
    #7 /public_html/wp-includes/script-loader.php(2670): do_action('wp_enqueue_scri...')
    #8 /public_html/wp-includes/class-wp-hook.php(286): wp_enqueue_scripts('')
    #9 /publi in /home/nourish2/public_html/wp-includes/script-loader.php on line 2902
    PHP Warning: Declaration of Automatic_Upgrader_Skin::feedback($data) should be compatible with WP_Upgrader_Skin::feedback($string, ...$args) in /public_html/wp-admin/includes/class-automatic-upgrader-skin.php on line 0


    EDIT: Updating my hosting to PHP 7.4 was the solution to my problem.
    {{ DiscussionBoard.errors[11564810].message }}

Trending Topics